#! /bin/sh

uninst="/etc/captive-uninstall.sh"
version="1.1.7"

if test `id -u` -ne 0; then
	echo "You must run the uninstaller as root !"
	exit 1
	fi
if test ! -e $uninst; then
	echo "Captive is not installed! Where did i came from? ($0)"
	exit 1
	fi

echo "Deinitializing Captive..."

	# %preun fuse
	/usr/lib/lsb/remove_initd captive 2>/dev/null || \
			/sbin/chkconfig --del captive
	/etc/rc.d/init.d/captive stop
	rm -f /var/lock/subsys/captive
	# %preun install
	/usr/sbin/captive-install-fstab --remove
	# Remove stale sandbox chroot directories owned by 'captive.captive':
	rm -rf /var/lib/captive/s-*
	rm -rf /var/lib/captive/tmp/*
	if [ "$1" = "purge" ] ; then
		userdel captive > /dev/null || true
		# group may be already deleted by deluser(8)
		groupdel captive &> /dev/null || true
	fi

echo "Deinitialization done."

echo -n "Deleting Captive... "

	# captive-install
	rm -f /etc/w32-mod-id.captivemodid.xml
	rm -f /usr/sbin/captive-install-fstab
	rm -f /usr/share/man/man?/captive-install-fstab.*
	rm -f /usr/sbin/captive-install-acquire
	rm -f /usr/share/man/man?/captive-install-acquire.*
	rm -rf /usr/share/captive

	# captive-fuse
	rm -f /etc/rc.d/init.d/captive
	rm -f /sbin/mount.captive
	rm -f /sbin/mount.captive-*
	rm -f /usr/libexec/captive-fusermount
	rm -f /usr/share/man/man?/mount.captive.*

	# captive
	rm -f /usr/share/man/man?/captive.*
	rm -f /usr/bin/captive-cmdline
	rm -f /usr/share/man/man?/captive-cmdline.*
	rm -f /usr/libexec/captive-sandbox-server
	rm -f /usr/share/man/man?/captive-sandbox-server.*
	rm -f /usr/share/locale/*/LC_MESSAGES/captive.mo
	rm -f /var/lib/captive/ext2fsd.sys
	rmdir --ignore-fail-on-non-empty /var/lib/captive/tmp
	rmdir --ignore-fail-on-non-empty /var/lib/captive
	rm -rf /usr/share/doc/captive-static-"$version"

echo "done."

echo "Final deinitialization of Captive..."

	rm -f $uninst

echo "Final deinitialization done."

exit 0
